search for: 1bb0240

Displaying 4 results from an estimated 4 matches for "1bb0240".

Did you mean: 10240
2019 Jan 23
0
[PATCH nbdkit] tests: Add generic ‘requires’ function to testing test prerequisites.
...orks -if ! qemu-io --help >/dev/null; then - echo "$0: missing or broken qemu-io" - exit 77 -fi - # Run nbdkit with memory plugin. # size = 2^63-1 start_nbdkit -P memory-largest.pid -U memory-largest.sock \ diff --git a/tests/test-partition1.sh b/tests/test-partition1.sh index 1bb0240..7fa817f 100755 --- a/tests/test-partition1.sh +++ b/tests/test-partition1.sh @@ -35,29 +35,15 @@ source ./functions.sh set -e set -x +requires sfdisk --help +requires test -r /dev/urandom +requires qemu-img --help + d="partition1.d" rm -rf $d cleanup_fn rm -rf $d mkdir $d -# Te...
2019 Jan 23
2
[PATCH nbdkit] tests: Add generic requires function.
I only did a handful of the tests to demonstrate the point. If the patch approach is accepted then I'll do the remainder of the tests in v2. Rich.
2019 Jan 23
0
[PATCH v2 nbdkit] tests: Add generic ‘requires’ function for test prerequisites.
...hen - echo "$0: missing qemu-io" - exit 77 -fi +requires test -f file-data +requires qemu-io --version # We require --exit-with-parent to work ( nbdkit --exit-with-parent --help ) >/dev/null 2>&1 || diff --git a/tests/test-partition1.sh b/tests/test-partition1.sh index 1bb0240..50d4087 100755 --- a/tests/test-partition1.sh +++ b/tests/test-partition1.sh @@ -35,29 +35,15 @@ source ./functions.sh set -e set -x +requires sfdisk --help +requires test -r /dev/urandom +requires qemu-img --version + d="partition1.d" rm -rf $d cleanup_fn rm -rf $d mkdir $d -#...
2019 Jan 23
2
[PATCH v2 nbdkit] tests: Add generic requires.
v1 was here: https://www.redhat.com/archives/libguestfs/2019-January/thread.html#00198 For v2 I changed most existing prerequisite tests to use the new mechanism. I only changed simple tests. There are a few more complex tests that don't fit the “requires model” and those are not changed. I normalized qemu-io/qemu-img testing to always use the --version flag, where previously we used a mix